Moderniser une pièce existante

Cet extrait de code montre comment mettre à jour une salle existante à l'aide de l'API Meetings.

Voir le Référence API pour plus d'informations.

Exemple de demande

Le cas échéant, remplacez les variables suivantes dans l'exemple de code par vos propres valeurs :

CléDescription
JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

THEME_ID

The theme UUID.

ROOM_ID

The room UUID.

VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

Rédiger le code

Ajouter ce qui suit à update-room.sh:

curl -X PATCH "https://api-eu.vonage.com/meetings/rooms/"$ROOM_ID \
  -H "Authorization: Bearer $JWT" \
  -H "Content-Type: application/json" \
  -d '{
       "update_details": {
          "theme_id": "'$THEME_ID'"
       }
  }'

Voir la source complète

Exécutez votre code

Enregistrez ce fichier sur votre machine et exécutez-le :

sh update-room.sh

Exemple de réponse

{
   "id": "9f6fe8ae-3458-4a72-b532-8276d5533e97",
   "display_name": "My custom room",
   "metadata": "Welcome to my custom room",
   "type": "instant",
   "recording_options": {
      "auto_record": false,
      "record_only_owner": false
   },
   "meeting_code": "280674154",
   "is_available": true,
   "theme_id": "ef2b46f3-8ebb-437e-a671-272e4990fbc8",
   "created_at": "2023-06-06T06:45:07.135Z",
   "expires_at": "2023-06-06T06:55:07.134Z",
   "expire_after_use": true,
   "join_approval_level": "none",
   "initial_join_options": {
      "microphone_state": "on"
   },
   "callback_urls": {
      "rooms_callback_url": "https://example.com/rooms",
      "sessions_callback_url": "https://example.com/sessions",
      "recordings_callback_url": "https://example.com/recordings"
   },
   "available_features": {
      "is_recording_available": true,
      "is_chat_available": true,
      "is_whiteboard_available": true,
      "is_locale_switcher_available": true,
      "is_captions_available": false
   },
   "ui_settings": {
      "language": "es"
   },
   "_links": {
      "guest_url": {
         "href": "https://meetings.vonage.com/280674154"
      },
      "host_url": {
         "href": "https://meetings.vonage.com/?room_token=280674154&participant_token=eyJhbGciOiJIUzI1NiIsInR5cC"
      }
   }
}